Bug 825542 - [abrt] kernel: [100208.313852] WARNING: at kernel/irq/manage.c:1195 __free_irq+0x87/0x1c0()
[abrt] kernel: [100208.313852] WARNING: at kernel/irq/manage.c:1195 __free_ir...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:c0ebda9f5c4bec389dd4a696de0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-27 12:33 EDT by Ruben Ghio
Modified: 2012-09-04 13:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 13:56:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruben Ghio 2012-05-27 12:33:03 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.6-3.fc16.i686 root=/dev/mapper/vg_rghiolaptop-lv_root ro rd.md=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8 rd.lvm.lv=vg_rghiolaptop/lv_swap rd.lvm.lv=vg_rghiolaptop/lv_root
kernel:         3.3.6-3.fc16.i686
reason:         [100208.313852] WARNING: at kernel/irq/manage.c:1195 __free_irq+0x87/0x1c0()
time:           Sun 27 May 2012 12:50:12 PM ART

backtrace:
:[100208.313852] WARNING: at kernel/irq/manage.c:1195 __free_irq+0x87/0x1c0()
:[100208.313854] Hardware name: 2537CS4
:[100208.313856] Trying to free already-free IRQ 19
:[100208.313857] Modules linked in: hid_sony snd_seq_dummy tcp_lp vfat fat fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat be2iscsi iscsi_boot_sysfs xt_CHECKSUM fcoe bnx2i iptable_mangle cnic uio cxgb4i cxgb4 cxgb3i lockd libcxgbi cxgb3 libfcoe bridge mdio 8021q garp stp libfc scsi_transport_fc scsi_tgt ib_iser llc rfcomm rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi bnep ip6t_REJECT nf_conntrack_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 nf_defrag_ipv6 ip6table_filter xt_state ip6_tables nf_conntrack sha256_generic dm_crypt snd_hda_codec_hdmi snd_hda_codec_conexant arc4 snd_hda_intel snd_hda_codec iwlwifi btusb mac80211 snd_hwdep uvcvideo snd_seq snd_seq_device bluetooth vhost_net videobuf2_core videodev snd_pcm media videobuf2_vmalloc macvtap macvlan tun thinkpad_acpi videobuf2_memops virtio_net snd_timer cfg80211 kvm_intel tpm_tis tpm kvm iTCO_wdt snd snd_page_alloc i2c_i801 soundcore intel_ips tpm_bios iTCO_vendor_su
:pport sunrpc rfkill e1000e uinput joydev microcode mxm_wmi usb_storage firewire_ohci sdhci_pci firewire_core sdhci mmc_core crc_itu_t wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:[100208.314000] Pid: 15997, comm: kworker/u:3 Tainted: G        W    3.3.6-3.fc16.i686 #1
:[100208.314002] Call Trace:
:[100208.314009]  [<c04373b2>] warn_slowpath_common+0x72/0xa0
:[100208.314011]  [<c04b5947>] ? __free_irq+0x87/0x1c0
:[100208.314013]  [<c04b5947>] ? __free_irq+0x87/0x1c0
:[100208.314015]  [<c0437483>] warn_slowpath_fmt+0x33/0x40
:[100208.314018]  [<c04b5947>] __free_irq+0x87/0x1c0
:[100208.314020]  [<c04b5bb3>] free_irq+0x43/0xa0
:[100208.314026]  [<f7fe15e4>] pci_suspend+0x34/0x90 [firewire_ohci]
:[100208.314031]  [<c046d121>] ? load_balance+0x71/0x710
:[100208.314037]  [<c0673645>] pci_legacy_suspend+0x35/0xc0
:[100208.314041]  [<c092db24>] ? wait_for_common+0x24/0x110
:[100208.314044]  [<c0673eac>] pci_pm_suspend+0xac/0x110
:[100208.314048]  [<c07194d0>] ? device_pm_wait_for_dev+0x30/0x30
:[100208.314050]  [<c0719812>] dpm_run_callback+0x42/0x80
:[100208.314051]  [<c0673e00>] ? pci_pm_resume+0xc0/0xc0
:[100208.314053]  [<c07198f4>] __device_suspend+0xa4/0x270
:[100208.314055]  [<c0719f5f>] async_suspend+0x1f/0x90
:[100208.314060]  [<c045c491>] async_run_entry_fn+0x61/0x150
:[100208.314062]  [<c04500fb>] process_one_work+0xfb/0x390
:[100208.314065]  [<c0463874>] ? wake_up_process+0x14/0x20
:[100208.314068]  [<c044e5a5>] ? start_worker+0x25/0x30
:[100208.314070]  [<c045c430>] ? async_schedule+0x20/0x20
:[100208.314072]  [<c0450d91>] worker_thread+0x121/0x2d0
:[100208.314074]  [<c0450c70>] ? manage_workers+0x1f0/0x1f0
:[100208.314076]  [<c04551b2>] kthread+0x72/0x80
:[100208.314078]  [<c0455140>] ? kthread_freezable_should_stop+0x60/0x60
:[100208.314081]  [<c09361fe>] kernel_thread_helper+0x6/0x10
Comment 1 Dave Jones 2012-07-12 12:10:48 EDT
do you still see this in 3.4 ?

Note You need to log in before you can comment on or make changes to this bug.